/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.dto.component;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.*;
import java.io.Serializable;

/**
* Restful接口--更新资源--数据传输对象：业务组件目录树
*
* createdate:  2022-09-21 17:03:55  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "业务组件目录树")
public class BusComponentTreeUpdateDto implements Serializable
{
    /**
     * 主键<br>
     */
    @ApiModelProperty("主键")
    @NotBlank(message="树节点id不能为空" )
    private String id;

    /**
     * 名称<br>
     */
    @ApiModelProperty("名称")
    @Size(max = 32, message="目录名称长度不能 > 32" )
    @NotBlank(message="树节点名称不能为空" )
    private String treeName;
    /**
     * 系统id<br>
     */
    @ApiModelProperty("系统空间")
    private String projectId;

    /**
     * 描述<br>
     */
    @ApiModelProperty("描述")
    private String memo;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTreeName() {
        return treeName;
    }

    public void setTreeName(String treeName) {
        this.treeName = treeName;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }
}